# OgreMaterialSerializer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMaterial.h"`
`#include "OgreBlendMode.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Classes

struct | Ogre::MaterialScriptProgramDefinition
| Struct for holding a program definition which is in progress. More...
struct | Ogre::MaterialScriptContext
| Struct for holding the script context while parsing. More...
class | Ogre::MaterialSerializer
| Class for serializing Materials to / from a .material script. More...
class | Ogre::MaterialSerializer::Listener
| Class that allows listening in on the various stages of material serialization process. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef bool(* | Ogre::ATTRIBUTE_PARSER )(String &params, MaterialScriptContext &context)
| Function def for material attribute parser; return value determines if the next line should be {.

## Enumerations

enum | Ogre::MaterialScriptSection { Ogre::MSS_NONE, Ogre::MSS_MATERIAL, Ogre::MSS_TECHNIQUE, Ogre::MSS_PASS, Ogre::MSS_TEXTUREUNIT, Ogre::MSS_PROGRAM_REF, Ogre::MSS_PROGRAM, Ogre::MSS_DEFAULT_PARAMETERS, Ogre::MSS_TEXTURESOURCE }
| Enum to identify material sections. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09